
#ifndef __I2C_H
#define __I2C_H

#include <windows.h>

#ifdef __cplusplus
extern "C" {
#endif

typedef struct
{
	HANDLE hSerialPort;
	DCB dcb;
} I2CContext;

BOOL I2COpen(LPCTSTR portname, I2CContext *pcI2C);
BOOL I2CClose(I2CContext *pcI2C);
BOOL I2CTransmitData(I2CContext *pcI2C, BOOL bSendStop, unsigned char addr, int nBytes, void *pSrc);
BOOL I2CReceiveData(I2CContext *pcI2C, unsigned char addr, int nBytes, void *pDest);

#ifdef __cplusplus
}
#endif

#endif // __I2C_H
